package com.cyksj.service.corp;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.CorpMsgBulkTask;
import com.cyksj.model.entity.CorpTag;
import com.cyksj.model.request.CorpActiveBulkMsg;

import java.util.List;
import java.util.Map;

/*
 *项目名: netflix
 *文件名: CorpMsgBulkTaskService
 *创建者: JavaZou
 *创建时间:2023/6/21 10:24
 */
public interface CorpMsgBulkTaskService extends IService<CorpMsgBulkTask> {
	void saveOrUpdateMsgBulkTask(CorpMsgBulkTask corpMsgBulkTask) throws Exception;

	void remindBulkTask(String msgid);

	Map<String, List<CorpTag>> getTagDetail(Long id) throws Exception;

	void executeDynamicRuleTagTask(Long tagId) throws Exception;

	void sendActiveCorpBulkMsg(CorpActiveBulkMsg msg);
}
